MalformedInputException (Java Platform SE 8 )
Keywords: java.nio.charset.MalformedInputException class
Date: 2020-03-26

compact1, compact2, compact3
java.nio.charset

## Class MalformedInputException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.nio.charset.CharacterCodingException
        - - java.nio.charset.MalformedInputException

- All Implemented Interfaces:
    Serializable

      public class MalformedInputException
      extends CharacterCodingException

  Checked exception thrown when an input byte sequence is not legal for given charset, or an input character sequence is not a legal sixteen-bit Unicode sequence.
  Since:
    1.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MalformedInputException(int inputLength)` Constructs an `MalformedInputException` with the given length.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getInputLength()` Returns the length of the input.
    `String` | `getMessage()` Returns the message.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MalformedInputException

          public MalformedInputException(int inputLength)

      Constructs an `MalformedInputException` with the given length.
      Parameters:
        `inputLength` - the length of the input

  - ### Method Detail

    - #### getInputLength

          public int getInputLength()

      Returns the length of the input.
      Returns:
        the length of the input

    - #### getMessage

          public String getMessage()

      Returns the message.
      Overrides:
        `getMessage` in class `Throwable`
      Returns:
        the message

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.